Subject: [Sigtran] SCTP HEARTBEAT ACK

From: Jacques Rajchgod <[email-masked]>
Date: Tue, 29 Jan 2002 09:18:55 -0600

SCTP RFC 2960, Section 3.3.6, Line 2, page 38:

Is the SCTP heartbeat a MUST? The text says "SHOULD send" not "MUST send".
I know that in M3UA, the heartbeat is an optional function. If an entity
does not make use of the heartbeat, it implies so by not responding to a
heartbeat poll. I understand that the SCTP heartbeat is different than the
M3UA's, as the SCTP BEAT helps the association get maintained. Still, can
the association be maintained w/o the SCTP BEAT?

Bottom line:
Is SCTP BEAT a requirement? (Some vendors have oprtions to disable it...)

Jacques Rajchgod
MCI Worldcom
Next Generation System Evaluation
Tel: [972] 729-7180
E-mail: [email-masked]

---

From: [email-masked]
Date: Tue, 29 Jan 2002 20:31:21 +0200

Hi all!

	That's true. But the point is that sending HEARTBEAT chunks is optional, but I think, as Jacques, that answering with a HEARTBEAT ACK to an incoming HEARTBEAT chunk should be a MUST. Otherwise the peer endpoint might even tear down the association... :-/

	Bye!

	BR Iván Arias Rodríguez

-----Original Message-----
From: ext Kanad Das [mailto:[email-masked]]
Sent: 29. January 2002 20:20
To: 'Jacques Rajchgod'; Sigtran
Subject: RE: [Sigtran] SCTP HEARTBEAT ACK

One of the main services provided by SCTP is path switchover, and the heartbeats play an important role in maintaining the status of the path.
 
Kanad
-----Original Message-----
From: Jacques Rajchgod [mailto:[email-masked]]
Sent: Tuesday, January 29, 2002 7:19 AM
To: Sigtran
Subject: [Sigtran] SCTP HEARTBEAT ACK

Is the SCTP heartbeat a MUST? The text says "SHOULD send" not "MUST send".
I know that in M3UA, the heartbeat is an optional function. If an entity does not make use of the heartbeat, it implies so by not responding to a heartbeat poll. I understand that the SCTP heartbeat is different than the M3UA's, as the SCTP BEAT helps the association get maintained. Still, can the association be maintained w/o the SCTP BEAT? 
 
Bottom line: 
 
Jacques Rajchgod
MCI Worldcom

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran